Name:          jdo2-api
Version:       2.2
Release:       18
Summary:       Java Data Objects 2 (JDO) API, implementation of JSR 243
License:       ASL 2.0
Url:           http://db.apache.org/jdo/
Source0:       http://svn.apache.org/repos/asf/db/jdo/tags/2.2/dist/db/jdo/2.2/jdo2-api-2.2-src.tar.gz
#use for build
Source1:       jdo2-api-2.2-build.xml
#use for creating dependency maps that tell the build tool where to find the required libraries.
Source2:       https://repo1.maven.org/maven2/javax/jdo/jdo2-api/2.2/jdo2-api-2.2.pom
# changed javax.transaction transaction-api 1.1 with geronimo-jta_1.1_spec
# fix pom version
Patch0000:     jdo2-api-2.2-pom.patch
BuildRequires: jpackage-utils java-devel javapackages-local
BuildRequires: ant geronimo-jpa geronimo-jta junit
Requires:      ant geronimo-jpa geronimo-jta junit jpackage-utils
BuildArch:     noarch

%description
The Java Data Objects 2 (JDO) API is a standard interface-based
Java model abstraction of persistence, provides a standard way to
access persistent data in databases, developed as Java Specification
Request 243 in the Java Community Process.

%package help
Summary:       Provides help and API documentation for %{name}
Obsoletes:     jdo2-api-javadoc < %{version}-%{release}
Provides:      jdo2-api-javadoc = %{version}-%{release}

%description help
This package provides help and javadoc for %{name}.

%prep
%setup -q -c
cd %{name}-%{version}
cp -p %{SOURCE1} build.xml
cp -p %{SOURCE2} pom.xml
%patch0 -p0

%build
cd %{name}-%{version}
%ant jar javadoc

%install
cd %{name}-%{version}
install -Dpm 644 %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

install -Dpm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr  dist/docs/api/* %{buildroot}%{_javadocdir}/%{name}

%files -f %{name}-%{version}/.mfiles
%license LICENSE.txt NOTICE.txt

%files help
%{_javadocdir}/%{name}
%license LICENSE.txt NOTICE.txt

%changelog
* Fri May 07 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.005-12
- Package init
